Upgrade Your cobas® Liat PCR System Software from Version 3.3.2 to 3.4

If you are running version 3.3.2, then you should update to version 3.4.0 as soon as possible. This page will walk you through the necessary steps to download, install and register the system software version 3.4.0 update on your Liat. Please note that your Liat must be on software version 3.3.2 in order to upgrade to version 3.4.0. If your Liat is running an older software version, the 3.4.0 upgrade will fail.

 
Prior to updating your Liat, you may wish to discuss this system software update with your facility's IT Department; especially if your Liats are connected to middleware and/or an LIS.